## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Class SybaseASABaseActionTime

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseASABaseActionTime

All Implemented Interfaces:
  java.io.Serializable, org.eclipse.emf.common.util.Enumerator

    public final class SybaseASABaseActionTime

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Sybase ASA Base Action Time', and utility methods for working with them.

See Also:
  `SybaseasabasesqlmodelPackage.getSybaseASABaseActionTime()`, Serialized Form

Field Summary
`static int` `AFTER` The 'AFTER' literal value.
`static SybaseASABaseActionTime` `AFTER_LITERAL` The 'AFTER' literal object.
`static int` `ASE` The 'ASE' literal value.
`static SybaseASABaseActionTime` `ASE_LITERAL` The 'ASE' literal object.
`static int` `BEFORE` The 'BEFORE' literal value.
`static SybaseASABaseActionTime` `BEFORE_LITERAL` The 'BEFORE' literal object.
`static int` `RESOLVE` The 'RESOLVE' literal value.
`static SybaseASABaseActionTime` `RESOLVE_LITERAL` The 'RESOLVE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Sybase ASA Base Action Time' enumerators.

Method Summary
`static SybaseASABaseActionTime` `get(int value)` Returns the 'Sybase ASA Base Action Time' literal with the specified integer value.
`static SybaseASABaseActionTime` `get(java.lang.String literal)` Returns the 'Sybase ASA Base Action Time' literal with the specified literal value.
`static SybaseASABaseActionTime` `getByName(java.lang.String name)` Returns the 'Sybase ASA Base Action Time' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE

    public static final int BEFORE

  The 'BEFORE' literal value.

  If the meaning of 'BEFORE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BEFORE_LITERAL`, Constant Field Values

### AFTER

    public static final int AFTER

  The 'AFTER' literal value.

  If the meaning of 'AFTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AFTER_LITERAL`, Constant Field Values

### RESOLVE

    public static final int RESOLVE

  The 'RESOLVE' literal value.

  If the meaning of 'RESOLVE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RESOLVE_LITERAL`, Constant Field Values

### ASE

    public static final int ASE

  The 'ASE' literal value.

  If the meaning of 'ASE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASE_LITERAL`, Constant Field Values

### BEFORE_LITERAL

    public static final SybaseASABaseActionTime BEFORE_LITERAL

  The 'BEFORE' literal object.

  See Also:
    `BEFORE`

### AFTER_LITERAL

    public static final SybaseASABaseActionTime AFTER_LITERAL

  The 'AFTER' literal object.

  See Also:
    `AFTER`

### RESOLVE_LITERAL

    public static final SybaseASABaseActionTime RESOLVE_LITERAL

  The 'RESOLVE' literal object.

  See Also:
    `RESOLVE`

### ASE_LITERAL

    public static final SybaseASABaseActionTime ASE_LITERAL

  The 'ASE' literal object.

  See Also:
    `ASE`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Sybase ASA Base Action Time' enumerators.

Method Detail

### get

    public static SybaseASABaseActionTime get(java.lang.String literal)

  Returns the 'Sybase ASA Base Action Time' literal with the specified literal value.

### getByName

    public static SybaseASABaseActionTime getByName(java.lang.String name)

  Returns the 'Sybase ASA Base Action Time' literal with the specified name.

### get

    public static SybaseASABaseActionTime get(int value)

  Returns the 'Sybase ASA Base Action Time' literal with the specified integer value.